> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Encrypt customer's card details



## OpenAPI

````yaml post /api/v1/encrypt-data
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/encrypt-data:
    post:
      tags:
        - Collection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardEncryptionPayload'
          text/json:
            schema:
              $ref: '#/components/schemas/CardEncryptionPayload'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CardEncryptionPayload'
      responses:
        '200':
          description: OK
components:
  schemas:
    CardEncryptionPayload:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        reference:
          type: string
          nullable: true
      additionalProperties: false
    Data:
      type: object
      properties:
        number:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
        pin:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````